from rosreestrXml.ui.tools.KPT.under_construction.ObjectUnderConstraction import FactoryUnderCostractionFromString
from rosreestrXml.ui.tools.utils.fileAdapter import readXmlFromFile

path_xml=r"E:\Download\RossRestr\extract_about_property_under_construction\report-86551c7e-b075-413c-a16b-34ddb822819a-OfSite-2024-07-01-1279926-77-01[0].xml"
value_file=readXmlFromFile(path_xml)
value_string_no_utf8 = value_file.replace('<?xml version="1.0" encoding="utf-8"?>', '')
value_string_no_utf8 = value_string_no_utf8.replace('<?xml version="1.0" encoding="UTF-8"?>', '')
properties={}
cs_wkt = 'LOCAL_CS["NonEarth_Meter",UNIT["METER",1]]'
properties['cs']=cs_wkt
properties['cs_mi']='NonEarth Units "m" '
properties['reverseXY']=True
properties['mi_style']='Symbol (35, 0, 12)'
objUnder=FactoryUnderCostractionFromString(value_string_no_utf8,properties)
object_save_point=objUnder
object_save_point[0].getGeometry()
jkl=0
